Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.RequestParam

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer.RequestParam

Enclosing class:
  WebServiceRenderer

public static class WebServiceRenderer.RequestParam
extends WebServiceRenderer.DefaultableParameterBinding

Class representing a parameter bound to an item of data in the current `WebServiceRenderRequest`.

Constructor Summary
`WebServiceRenderer.RequestParam()`
`WebServiceRenderer.RequestParam(java.lang.String name, java.lang.String deflt, boolean isMandatory)` Constructs a `RequestParam` using the specified properties.

Method Summary
`java.lang.String` | `getActualValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
`getValue, isMandatory, setDefault, setMandatory, setMandatory`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.RequestParam

    public WebServiceRenderer.RequestParam()

### WebServiceRenderer.RequestParam

    public WebServiceRenderer.RequestParam(java.lang.String name,
                                           java.lang.String deflt,
                                           boolean isMandatory)

  Constructs a `RequestParam` using the specified properties.
  Parameters:
    `name` - the binding name
    `deflt` - default value to use when actual binding value is null or the empty string
    `isMandatory` - is this a mandatory parameter?

Method Detail

### getActualValue

    public java.lang.String getActualValue(WebServiceRenderRequest wrr)

  Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults. In this case, the result of passing the binding name to `WebServiceRenderRequest.getRequestParameter(java.lang.String)` is returned.
  Overrides:
    `getActualValue` in class `WebServiceRenderer.DefaultableParameterBinding`
  Returns:
    the value of this binding for the given `WebServiceRenderRequest` or `null` if one does not yet exist.
  See Also:
    `WebServiceRenderRequest.getRequestParameter(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.